%define majver %(echo %version | cut -d. -f 1-2)

Name:          gnome-desktop
Version:       3.36.4
Release:       1mamba
Summary:       Libraries for the Gnome desktop
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.gnome.org
# bugfixes: http://ftp.gnome.org/pub/GNOME/sources/%{pkgname}
Source:        http://ftp.gnome.org/pub/GNOME/sources/gnome-desktop/%{majver}/gnome-desktop-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: GConf-devel
BuildRequires: glibc-devel
## API documentation
BuildRequires: gtk-doc
BuildRequires: libart_lgpl-devel
BuildRequires: libatk-devel
BuildRequires: libbonobo-devel
BuildRequires: libbonoboui-devel
BuildRequires: libcairo-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libglib-devel >= 2.18.0
BuildRequires: libgnomecanvas-devel
BuildRequires: libgnome-devel >= 2.24.1
BuildRequires: libgnomeui-devel
BuildRequires: libgnome-vfs-devel
BuildRequires: libgtk-devel >= 2.14.2
BuildRequires: libICE-devel
BuildRequires: libpango-devel
BuildRequires: libpopt-devel
BuildRequires: libSM-devel
BuildRequires: libstartup-notification-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrandr-devel
BuildRequires: libz-devel
BuildRequires: ORBit2-devel
## AUTOBUILDREQ-END
BuildRequires: libgnomeui
BuildRequires: libscrollkeeper-devel
BuildRequires: libgnome-keyring-devel
BuildRequires: gettext-devel
BuildRequires: gnome-doc-utils-devel
# API documentation
BuildRequires: gsettings-desktop-schemas-devel
BuildRequires: itstool
Obsoletes:     libgnome-desktop
Provides:      libgnome-desktop = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     gnome-desktop12
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The gnome-desktop package contains an internal library (libgnomedesktop) used to implement some portions of the GNOME desktop, and also some data files and other shared components of the GNOME user environment.

%package devel
Summary:       Devel package for libgnome-desktop
Group:         Development/Libraries
Obsoletes:     libgnome-desktop-devel
Obsoletes:     gnome-desktop12-devel
Provides:      libgnome-desktop-devel = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The gnome-desktop package contains an internal library (libgnomedesktop) used to implement some portions of the GNOME desktop, and also some data files and other shared components of the GNOME user environment.

This package contains static libraries and header files need for development.

%package apidocs
Summary:       %{pkgname} API documentation
Group:         Documentation
Requires:      gtk-doc

%description apidocs
%{pkgname} API documentation.

%prep
%setup -q

%build
%meson \
   -Dgtk_doc=true

#% configure \
#   --with-gnome-distributor="openmamba" \
#   --disable-scrollkeeper

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export DESTDIR=%{buildroot}
%meson_install

# stuff we don't want
rm -rf %{buildroot}/var/scrollkeeper

%find_lang %{name}-3.0

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{name}-3.0.lang
%defattr(-,root,root)
#%{_bindir}/*
%{_libdir}/*.so.*
%{_libdir}/girepository-1.0/GnomeDesktop-3.0.typelib
%{_libexecdir}/gnome-rr-debug
#%{_datadir}/libgnome-desktop-3.0/pnp.ids
%{_datadir}/gnome/*
%{_datadir}/help/*/fdl/index.docbook
%{_datadir}/help/*/gpl/index.docbook
%{_datadir}/help/*/lgpl/index.docbook

%files devel
%defattr(-,root,root)
%{_libdir}/*.so
%{_libdir}/pkgconfig/gnome-desktop*.pc
%dir %{_includedir}/gnome-desktop-3.0
%{_includedir}/gnome-desktop-3.0/*
%{_datadir}/gir-1.0/GnomeDesktop-3.0.gir

%files apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/%{name}3/

%changelog
* Wed Jul 08 2020 Automatic Build System <autodist@mambasoft.it> 3.36.4-1mamba
- automatic version update by autodist

* Mon Jun 15 2020 Automatic Build System <autodist@mambasoft.it> 3.36.3.1-1mamba
- automatic version update by autodist

* Wed Apr 29 2020 Automatic Build System <autodist@mambasoft.it> 3.36.2-1mamba
- automatic version update by autodist

* Wed Apr 01 2020 Automatic Build System <autodist@mambasoft.it> 3.36.1-1mamba
- automatic version update by autodist

* Wed Mar 11 2020 Automatic Build System <autodist@mambasoft.it> 3.36.0-1mamba
- automatic version update by autodist

* Sun Mar 08 2020 Automatic Build System <autodist@mambasoft.it> 3.35.91-1mamba
- automatic version update by autodist

* Tue Feb 18 2020 Automatic Build System <autodist@mambasoft.it> 3.34.4-1mamba
- automatic version update by autodist

* Tue Dec 03 2019 Automatic Build System <autodist@mambasoft.it> 3.34.2-1mamba
- automatic version update by autodist

* Tue Oct 08 2019 Automatic Build System <autodist@mambasoft.it> 3.34.1-1mamba
- automatic version update by autodist

* Fri Sep 20 2019 Automatic Build System <autodist@mambasoft.it> 3.34.0-1mamba
- automatic version update by autodist

* Wed May 08 2019 Automatic Build System <autodist@mambasoft.it> 3.32.2-1mamba
- automatic version update by autodist

* Wed Apr 24 2019 Automatic Build System <autodist@mambasoft.it> 3.32.1.2-1mamba
- automatic version update by autodist

* Tue Apr 23 2019 Automatic Build System <autodist@mambasoft.it> 3.32.1.1-1mamba
- automatic version update by autodist

* Wed Apr 10 2019 Automatic Build System <autodist@mambasoft.it> 3.32.1-1mamba
- automatic version update by autodist

* Sun Mar 24 2019 Automatic Build System <autodist@mambasoft.it> 3.32.0-1mamba
- automatic version update by autodist

* Wed Feb 06 2019 Automatic Build System <autodist@mambasoft.it> 3.30.2.1-1mamba
- automatic version update by autodist

* Sun Oct 28 2018 Automatic Build System <autodist@mambasoft.it> 3.30.2-1mamba
- automatic version update by autodist

* Wed Sep 26 2018 Automatic Build System <autodist@mambasoft.it> 3.30.1-1mamba
- automatic version update by autodist

* Wed Sep 19 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 3.30.0-2mamba
- obsolete gnome-desktop12

* Tue Sep 18 2018 Automatic Build System <autodist@mambasoft.it> 3.30.0-1mamba
- automatic version update by autodist

* Sat Aug 11 2018 Automatic Build System <autodist@mambasoft.it> 3.28.2-1mamba
- automatic version update by autodist

* Sat Aug 12 2017 Automatic Build System <autodist@mambasoft.it> 3.24.2-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Automatic Build System <autodist@mambasoft.it> 3.22.2-1mamba
- automatic version update by autodist

* Thu Oct 13 2016 Automatic Build System <autodist@mambasoft.it> 3.22.1-1mamba
- automatic version update by autodist

* Tue May 10 2016 Automatic Build System <autodist@mambasoft.it> 3.20.2-1mamba
- automatic version update by autodist

* Sun May 01 2016 Automatic Build System <autodist@mambasoft.it> 3.20.1-1mamba
- automatic version update by autodist

* Tue Nov 10 2015 Automatic Build System <autodist@mambasoft.it> 3.18.2-1mamba
- automatic version update by autodist

* Tue Oct 13 2015 Automatic Build System <autodist@mambasoft.it> 3.18.1-1mamba
- automatic version update by autodist

* Fri Oct 09 2015 Automatic Build System <autodist@mambasoft.it> 3.18.0-1mamba
- automatic version update by autodist

* Wed May 13 2015 Automatic Build System <autodist@mambasoft.it> 3.16.2-1mamba
- automatic version update by autodist

* Wed Apr 15 2015 Automatic Build System <autodist@mambasoft.it> 3.16.1-1mamba
- automatic version update by autodist

* Thu Apr 09 2015 Automatic Build System <autodist@mambasoft.it> 3.16.0-1mamba
- automatic version update by autodist

* Thu Nov 13 2014 Automatic Build System <autodist@mambasoft.it> 3.14.2-1mamba
- automatic version update by autodist

* Tue Oct 14 2014 Automatic Build System <autodist@mambasoft.it> 3.14.1-1mamba
- automatic update by autodist

* Wed Sep 24 2014 Automatic Build System <autodist@mambasoft.it> 3.14.0-1mamba
- automatic version update by autodist

* Sun Aug 17 2014 Automatic Build System <autodist@mambasoft.it> 3.13.4-1mamba
- automatic update by autodist

* Thu Jun 26 2014 Automatic Build System <autodist@mambasoft.it> 3.13.3-1mamba
- automatic update by autodist

* Fri May 02 2014 Automatic Build System <autodist@mambasoft.it> 3.13.1-1mamba
- automatic version update by autodist

* Wed Apr 16 2014 Automatic Build System <autodist@mambasoft.it> 3.12.1-1mamba
- automatic version update by autodist

* Wed Mar 26 2014 Automatic Build System <autodist@mambasoft.it> 3.12.0-1mamba
- automatic version update by autodist

* Mon Nov 25 2013 Automatic Build System <autodist@mambasoft.it> 3.10.2-1mamba
- automatic version update by autodist

* Mon Oct 28 2013 Automatic Build System <autodist@mambasoft.it> 3.10.1-1mamba
- automatic version update by autodist

* Mon Sep 09 2013 Automatic Build System <autodist@mambasoft.it> 3.8.4-1mamba
- automatic update by autodist

* Fri Jun 07 2013 Automatic Build System <autodist@mambasoft.it> 3.8.3-1mamba
- automatic version update by autodist

* Tue May 14 2013 Automatic Build System <autodist@mambasoft.it> 3.8.2-1mamba
- automatic version update by autodist

* Tue Apr 16 2013 Automatic Build System <autodist@mambasoft.it> 3.8.1-1mamba
- automatic version update by autodist

* Wed Mar 27 2013 Automatic Build System <autodist@mambasoft.it> 3.8.0.1-1mamba
- automatic version update by autodist

* Tue Mar 19 2013 Automatic Build System <autodist@mambasoft.it> 3.6.3-1mamba
- automatic version update by autodist

* Fri Dec 07 2012 Automatic Build System <autodist@mambasoft.it> 3.6.2-1mamba
- automatic version update by autodist

* Thu Oct 18 2012 Automatic Build System <autodist@mambasoft.it> 3.6.1-1mamba
- automatic version update by autodist

* Wed Oct 03 2012 Automatic Build System <autodist@mambasoft.it> 3.6.0.1-1mamba
- automatic version update by autodist

* Mon May 14 2012 Automatic Build System <autodist@mambasoft.it> 3.4.2-1mamba
- automatic version update by autodist

* Mon Apr 16 2012 Automatic Build System <autodist@mambasoft.it> 3.4.1-1mamba
- automatic version update by autodist

* Sun Apr 01 2012 Automatic Build System <autodist@mambasoft.it> 3.4.0-1mamba
- update to 3.4.0

* Sun Oct 16 2011 Automatic Build System <autodist@mambasoft.it> 3.2.1-1mamba
- automatic version update by autodist

* Sat Oct 01 2011 Automatic Build System <autodist@mambasoft.it> 3.2.0-1mamba
- automatic version update by autodist

* Fri Jul 22 2011 Automatic Build System <autodist@mambasoft.it> 3.0.2-1mamba
- automatic update to 3.0.3.0 by autodist

* Wed Nov 17 2010 Automatic Build System <autodist@mambasoft.it> 2.32.1-1mamba
- automatic update to 2.32.1 by autodist

* Wed Sep 29 2010 Automatic Build System <autodist@mambasoft.it> 2.32.0-1mamba
- automatic update to 2.32.0 by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-2mamba
- automatic rebuild by autodist

* Tue Jun 22 2010 Automatic Build System <autodist@mambasoft.it> 2.30.2-1mamba
- automatic update to 2.30.2 by autodist

* Wed Apr 14 2010 Automatic Build System <autodist@mambasoft.it> 2.30.0-1mamba
- automatic update to 2.30.0 by autodist

* Tue Jan 26 2010 Automatic Build System <autodist@mambasoft.it> 2.28.2-1mamba
- automatic update by autodist

* Mon Oct 26 2009 Automatic Build System <autodist@mambasoft.it> 2.28.1-1mamba
- automatic update by autodist

* Mon Sep 28 2009 Automatic Build System <autodist@mambasoft.it> 2.28.0-1mamba
- automatic update to 2.28.0 by autodist

* Wed Jul 01 2009 Automatic Build System <autodist@mambasoft.it> 2.26.3-1mamba
- automatic update by autodist

* Wed Jun 10 2009 Automatic Build System <autodist@mambasoft.it> 2.26.2-1mamba
- automatic update by autodist

* Fri Apr 17 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.1-1mamba
- automatic update by autodist

* Fri Mar 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.26.0-1mamba
- automatic update to 2.26.0 by autodist

* Thu Jan 22 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.24.3-1mamba
- automatic update by autodist

* Fri Sep 26 2008 gil <puntogil@libero.it> 2.24.0-1mamba
- update to 2.24.0

* Tue Jun 17 2008 gil <puntogil@libero.it> 2.22.2-1mamba
- update to 2.22.2

* Tue Oct 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.20.0-1mamba
- update to version 2.20.0

* Thu Jan 11 2007 Davide Madrisan <davide.madrisan@qilinux.it> 2.16.2-1qilnx
- update to version 2.16.2 by autospec
- updated specfile to permit automatic building
- new subpackage apidocs with API documentation

* Tue Aug 30 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.10.2-1qilnx
- update to version 2.10.2 by autospec

* Mon Aug 16 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.2-1qilnx
- first build
